<template>
<div>

  <div>
  <v-card
    class="mx-auto cardd"
    max-width="100%" color=" #FAFAFA"
  >
    <v-container >
      <v-row >
      <v-col  cols="6" md="4" v-for="(n,index) in data_show" :key="index">
          <v-card height="100%" width="100%" @click="detail(n)">
            <div >
             <v-img
              :src="pathh+n.picture[0]" height="230px"
              class="white--text align-end"
             >
            </v-img>
            <v-card-text class="text-center" >{{n.title}}</v-card-text>
            <v-card-actions>
              <v-spacer></v-spacer>
            </v-card-actions>
            </div>
          </v-card>
      </v-col>
      </v-row>
    </v-container>
  </v-card>
  </div>
    <div class="text-center">
  <v-pagination
    v-model="page"
    :length="item"
    :total-visible="12"
    @input="pagechange"
  ></v-pagination>
</div>
</div>
</template>
<script>
export default {
  data () {
    return {
      pathh: process.env.VUE_APP_API,
      datas: [],
      fun_trip: [],
      trip_name: '',
      data_food: [],
      page: 1,
      data_show: [],
      item: 0
    }
  },
  created () {
    this.getData()
  },
  methods: {
    async detail (val) {
      await this.$store.dispatch('get_travel', val)
      console.log('id', this.$store.getters.travel)
      this.$router.push('/detailTravel')
    },
    async getData () {
      console.log('object')
      try {
        var test = await this.axios.get(
          process.env.VUE_APP_API + '/api/v2/content/index'
        )
        console.log(test)
        this.datas = test.data.data
        this.fun_trip = this.datas[5]
        this.trip_name = this.fun_trip.type_name
        this.data_food = this.fun_trip.data
        this.item = Math.ceil(this.data_food.length / 12)
        console.log(this.item)
        for (let index = 0; index < 12; index++) {
          if (this.data_food[index]) {
            this.data_show.push(this.data_food[index])
            console.log('data_show', this.data_show)
          }
        }
      } catch (error) {
        console.log(error.message)
      }
    },
    pagechange () {
      if (this.page > 1) {
        this.data_show = []
        console.log('gg', 12 * (this.page - 1))
        for (let index = 12 * (this.page - 1); index < 12 * this.page; index++) {
          if (this.data_food[index]) {
            this.data_show.push(this.data_food[index])
            console.log('data_show', this.data_show)
          }
        }
      } else {
        this.data_show = []
        for (let index = 0; index < 12; index++) {
          if (this.data_food[index]) {
            this.data_show.push(this.data_food[index])
            console.log('data_show', this.data_show)
          }
        }
      }
    }
  }
}
</script>
<style>
.cardd
{
  background: rgba(10, 10, 10, 0.4) !important;
  border-radius:8px;
}

</style>
